summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author markus reichelt <slackbuilds@mareichelt.de>2010-10-24 22:29:27 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-10-25 07:55:11 -0500
commitaeeb044d09d4a9df1c887214570a6c9f24b1e1f3 (patch)
tree8c4e13d41f0eb76fda86f1245f8ebad861bed500 /system
parent7195e67f85b8eb69f3c705efaa7eff82e892f672 (diff)
downloadslackbuilds-aeeb044d09d4a9df1c887214570a6c9f24b1e1f3.tar.gz
slackbuilds-aeeb044d09d4a9df1c887214570a6c9f24b1e1f3.tar.xz
system/extundelete: Added (ext3 and ext4 undeletion utility)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/extundelete/README6
-rw-r--r--system/extundelete/extundelete.SlackBuild97
-rw-r--r--system/extundelete/extundelete.info10
-rw-r--r--system/extundelete/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/system/extundelete/README b/system/extundelete/README
new file mode 100644
index 0000000000..540c9599d2
--- /dev/null
+++ b/system/extundelete/README
@@ -0,0 +1,6 @@
+extundelete is a utility that can recover deleted files from an ext3
+or ext4 partition. extundelete is based partly on ext3grep (c) Carlo
+Wood (GPLv2 or later) and uses the information stored in the
+partition's journal to attempt to recover a file that has been
+deleted from the partition.
+
diff --git a/system/extundelete/extundelete.SlackBuild b/system/extundelete/extundelete.SlackBuild
new file mode 100644
index 0000000000..1f6e582cfe
--- /dev/null
+++ b/system/extundelete/extundelete.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for extundelete
+
+# Copyright (c) 2010 Markus Reichelt, Aachen, DE
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# markus reichelt, slackbuilds@mareichelt.de, 0xCCEEF115
+# 2010 Oct 22 - initial release
+
+PRGNAM=extundelete
+VERSION=${VERSION:-0.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin $PKG/usr/doc
+
+DFLAGS=$LDFLAGS \
+CFLAGS=$SLKCFLAGS \
+./configure \
+ --prefix=$PKG/usr
+
+make
+make install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE* README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/extundelete/extundelete.info b/system/extundelete/extundelete.info
new file mode 100644
index 0000000000..9cc2e193f7
--- /dev/null
+++ b/system/extundelete/extundelete.info
@@ -0,0 +1,10 @@
+PRGNAM="extundelete"
+VERSION="0.2.0"
+HOMEPAGE="http://extundelete.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/extundelete/files/extundelete/0.2.0/extundelete-0.2.0.tar.bz2"
+MD5SUM="6dac74b12a747f133326ff7b81fceedd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="markus reichelt"
+EMAIL="slackbuilds@mareichelt.de"
+APPROVED="dsomero"
diff --git a/system/extundelete/slack-desc b/system/extundelete/slack-desc
new file mode 100644
index 0000000000..febddbf3ef
--- /dev/null
+++ b/system/extundelete/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |----------handy-ruler-------------------------------------------------|
+extundelete: extundelete (An ext3 and ext4 file system undeletion utility)
+extundelete:
+extundelete: extundelete is a utility that can recover deleted files from an ext3
+extundelete: or ext4 partition. extundelete is based partly on ext3grep (c) Carlo
+extundelete: Wood (GPLv2 or later) and uses the information stored in the
+extundelete: partition's journal to attempt to recover a file that has been
+extundelete: deleted from the partition.
+extundelete: extundelete was written by Nic Case. It's GPLv2
+extundelete:
+extundelete: Homepage: http://extundelete.sourceforge.net/
+extundelete: \ No newline at end of file